Method: projects.locations.spaces.applicationTemplates.policies.patch

Updates a policy.

HTTP request

PATCH https://designcenter.googleapis.com/v1/{policy.name=projects/*/locations/*/spaces/*/applicationTemplates/*/policies/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
policy.name

string

Identifier. The policy name in the following format: projects/$project/locations/$location/spaces/$space/applicationTemplates/$applicationTemplate/policies/$policy

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The fields to overwrite in the policy update. The fields specified in the updateMask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If you don't provide a mask, all fields are overwritten.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Policy.

Response body

If successful, the response body contains an instance of Policy.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.